WriteNowTextInternal::Token Struct Reference

Internal: the token of a WriteNowText. More...

## Public Member Functions
| Token ()

## Public Attributes
int | m_graphicZone
| the graphic zone id
MWAWBox2i | m_box
| the bdbox
MWAWVec2i | m_pos [2]
| two positions ( seen relative to the RB point)
int | m_values [19]
| some unknown values
std::string | m_error
| the parsing errors

## Friends
std::ostream & | operator<< (std::ostream &o, Token const &tkn)
| operator<<

## Detailed Description

Internal: the token of a WriteNowText.

## Constructor & Destructor Documentation

## ◆ Token()

WriteNowTextInternal::Token::Token | ( |  | ) |
| inline

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Token const & | tkn )
| friend

operator<<

## Member Data Documentation

## ◆ m_box

MWAWBox2i WriteNowTextInternal::Token::m_box

the bdbox

Referenced by operator<<, WriteNowText::readToken(), WriteNowText::readTokenV2(), WriteNowText::send(), and Token().

## ◆ m_error

std::string WriteNowTextInternal::Token::m_error

the parsing errors

Referenced by operator<<, and Token().

## ◆ m_graphicZone

int WriteNowTextInternal::Token::m_graphicZone

the graphic zone id

Referenced by operator<<, WriteNowText::readToken(), WriteNowText::send(), and Token().

## ◆ m_pos

MWAWVec2i WriteNowTextInternal::Token::m_pos[2]

two positions ( seen relative to the RB point)

Referenced by operator<<, and WriteNowText::readToken().

## ◆ m_values

int WriteNowTextInternal::Token::m_values[19]

some unknown values

Referenced by operator<<, WriteNowText::readToken(), and Token().

The documentation for this struct was generated from the following file:

- WriteNowText.cxx